File polkit-gnome.changes of Package polkit-gnome

-------------------------------------------------------------------
Wed Dec  1 15:24:29 UTC 2010 - gber@opensuse.org

- added supplements for xfce4-session and lxsession so polkit-gnome
  gets installed by default for LXDE/XFCE

-------------------------------------------------------------------
Thu Sep 16 09:40:59 CEST 2010 - vuntz@opensuse.org

- Update to version 0.99:
  + Fix up --string-prefix usage to work with latest
    gobject-introspection

-------------------------------------------------------------------
Tue Aug 31 09:52:00 UTC 2010 - aj@suse.de

- Recommend instead of require lang package since it's not mandatory.

-------------------------------------------------------------------
Thu Aug 26 10:12:50 CEST 2010 - vuntz@opensuse.org

- Update to version 0.97:
  + Compile with -DGSEAL_ENABLE (bgo#616386)
  + Remove lock down functionality
  + Port from dbus-glib to gdbus
  + Avoid deprecated polkit_authority_get() function
  + Hide the agent autostart desktop file
  + Use standard icon names
- Changes from version 0.96:
  + Fix bug with authenticating multiple possible users
  + Updated translations.
- Changes from version 0.95:
  + Set status icon invisible before unref'ing it
  + Add test-case for fdo#23867
  + Add support for locking down actions
  + Add GObject Introspection for libpolkit-gtk-1
  + In the example, print backend details on stdout
  + Support multiple outstanding authentication requests
  + Use new API in polkit 0.95 for lock down
  + Updated translations.
- Rebase polkit-gnome-OnlyShowIn.patch.
- Rebase polkit-gnome-alternative-button-order-kde.patch.
- Drop polkit-gnome-fix-hide-status-icon-kde.patch: fixed upstream.
- Add gobject-introspection-devel BuildRequires to have
  introspection support.
- Change polkit-devel BuildRequires to >= 0.97.
- Disable parallel build for now since it fails.

-------------------------------------------------------------------
Mon May 24 11:04:56 CEST 2010 - vuntz@opensuse.org

- Change Supplements to be on polkit and gnome-session instead of
  just gnome-session: polkit-gnome is useless if polkit is not
  installed.

-------------------------------------------------------------------
Thu May 20 14:26:57 UTC 2010 - llunak@novell.com

- do not use the authentication agent in KDE (bnc#576248)

-------------------------------------------------------------------
Thu Oct  1 15:15:33 CEST 2009 - vuntz@opensuse.org

- Rename patches to comply with patch naming policy.

-------------------------------------------------------------------
Mon Sep 28 14:15:36 UTC 2009 - llunak@novell.com

- use the authentication agent also in KDE (bnc#538897)
- use the proper button order in KDE
- fix status icon not hiding

-------------------------------------------------------------------
Thu Aug 13 04:51:05 CEST 2009 - kay.sievers@novell.com

- Update to version 0.94:
  - Add library with a PolkitLockButton widget
  - Make use of new API to better cope with one-shot authorizations
- Create libpolkit-gtk-1-0 package, and devel package.

-------------------------------------------------------------------
Wed Aug  5 16:01:32 CEST 2009 - vuntz@novell.com

- Add Supplements on gnome-session, since we want this installed by
  default for GNOME.

-------------------------------------------------------------------
Tue Jul 21 03:46:29 CEST 2009 - kay.sievers@novell.com

- update to version 0.93

-------------------------------------------------------------------
Mon Jul 20 18:27:26 CEST 2009 - vuntz@novell.com

- Clean up spec file.

-------------------------------------------------------------------
Sun Jul 19 15:31:44 CEST 2009 - kay.sievers@novell.com

- initial import of polkit-gnome 0.92